Get webhook
Retrieves a webhook endpoint by ID. Requires the WEBHOOKS_READ scope.
GET
https://api.pandabase.io/v2/core/stores/{storeId}/webhooks/{webhookId} Authentication
Requires a bearer token (sk_…) or an API key in the header Authorization.
Path parameters
storeId string required (length 12–48)
webhookId string required (length 12–48)
Header parameters
idempotency-key string (length 8–32)
Response 200
Default Response
ok enum required (one of true)
data object required No description.
Response 404
Default Response
ok enum required (one of false)
error string required No description.
Request
curl -X GET https://api.pandabase.io/v2/core/stores/:storeId/webhooks/:webhookIdResponse
{ "ok": true, "data": { "id": "whk_5h7n4tr3bcfp2v8q1mzj0kxw", "url": "https://example.com/webhooks/pandabase", "note": "Production endpoint", "isEnabled": true, "eventTypes": [ "PAYMENT_COMPLETED", "PAYMENT_REFUNDED", "PAYMENT_DISPUTED" ], "signatureVersion": "V2", "createdAt": "2026-04-10T09:00:00.000Z", "updatedAt": "2026-05-01T13:42:00.000Z" }}